fname = '_4_3_16_0.3_'

for pb in ['BT', 'JI', 'LP']:
    for jj in ['Celebrity', 'Extended', 'WannaCry']:
        for ii in ['0', '1000', '2000']:
            with open(jj + fname + ii + '/val_' + pb + '.txt', 'r') as f:
                bestt = (1e10, -1, -1)
                for i, line in enumerate(f):
                    x = list(map(float, line.strip().split()))
                    for j in range(len(x)):
                        bestt = min(bestt, (x[j], i+1, j+1))
                print(f"CUDA_VISIBLE_DEVICES=0 python IM.py --input-dim=4 --hidden-dim=16 --layer-num=3 --gpu=0 --checkpoint-path=checkpoints_gnp/{jj + fname + ii}/{bestt[1]}.pkt --prob={pb} --n-stacks={bestt[2]}")